from ai_bot.keyboards.CreateVideoKeyboard import CreateVideoKeyboard
from ai_bot.msg.CreateVideoMsg import CreateVideoMsg
from bot.Handler import Handler
from bot import SECOND
from telegram.constants import ParseMode


class VideoHandler(Handler):

    @staticmethod
    async def create_video(update, context):
        models_arr = ['Luma', 'Kling']

        reply_markup = CreateVideoKeyboard()
        reply_markup.add_option("models_arr", models_arr)

        msg = CreateVideoMsg()

        await context.bot.send_message(chat_id=update.effective_chat.id, text=msg.get_msg(),
                                       parse_mode=ParseMode.HTML, reply_markup=reply_markup.create_keyboard())

        return SECOND
