from bot.Keyboard import Keyboard
from telegram import InlineKeyboardButton, InlineKeyboardMarkup


class CreateVideoKeyboard(Keyboard):

    def get_keyboard(self):
        keyboard = []
        models = self.get_option("models_arr")

        for model in models:
            keyboard.append([InlineKeyboardButton(model, callback_data='start_model_scenario?model={model}'.format(model=model))])

        return keyboard
